IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fe8b:2000::/20- First address
fe8b:2000::- Last address
fe8b:2fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fe8b:2000:0000:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
2.b.8.e.f.ip6.arpa
Split into smaller subnets
fe8b:2000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe8b:2000::/28 | fe8b:200f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fe8b:2010::/28 | fe8b:201f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fe8b:2020::/28 | fe8b:202f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fe8b:2030::/28 | fe8b:203f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fe8b:2040::/28 | fe8b:204f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fe8b:2050::/28 | fe8b:205f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fe8b:2060::/28 | fe8b:206f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fe8b:2070::/28 | fe8b:207f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fe8b:2080::/28 | fe8b:208f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fe8b:2090::/28 | fe8b:209f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fe8b:20a0::/28 | fe8b:20af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fe8b:20b0::/28 | fe8b:20bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fe8b:20c0::/28 | fe8b:20cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fe8b:20d0::/28 | fe8b:20df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fe8b:20e0::/28 | fe8b:20ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fe8b:20f0::/28 | fe8b:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fe8b:2100::/28 | fe8b:210f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fe8b:2110::/28 | fe8b:211f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fe8b:2120::/28 | fe8b:212f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fe8b:2130::/28 | fe8b:213f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fe8b:2140::/28 | fe8b:214f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fe8b:2150::/28 | fe8b:215f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fe8b:2160::/28 | fe8b:216f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fe8b:2170::/28 | fe8b:217f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fe8b:2180::/28 | fe8b:218f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fe8b:2190::/28 | fe8b:219f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fe8b:21a0::/28 | fe8b:21af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fe8b:21b0::/28 | fe8b:21bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fe8b:21c0::/28 | fe8b:21cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fe8b:21d0::/28 | fe8b:21df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fe8b:21e0::/28 | fe8b:21ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fe8b:21f0::/28 | fe8b:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fe8b:2200::/28 | fe8b:220f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fe8b:2210::/28 | fe8b:221f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fe8b:2220::/28 | fe8b:222f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fe8b:2230::/28 | fe8b:223f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fe8b:2240::/28 | fe8b:224f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fe8b:2250::/28 | fe8b:225f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fe8b:2260::/28 | fe8b:226f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fe8b:2270::/28 | fe8b:227f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fe8b:2280::/28 | fe8b:228f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fe8b:2290::/28 | fe8b:229f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fe8b:22a0::/28 | fe8b:22af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fe8b:22b0::/28 | fe8b:22bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fe8b:22c0::/28 | fe8b:22cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fe8b:22d0::/28 | fe8b:22df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fe8b:22e0::/28 | fe8b:22ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fe8b:22f0::/28 | fe8b:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fe8b:2300::/28 | fe8b:230f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fe8b:2310::/28 | fe8b:231f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fe8b:2320::/28 | fe8b:232f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fe8b:2330::/28 | fe8b:233f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fe8b:2340::/28 | fe8b:234f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fe8b:2350::/28 | fe8b:235f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fe8b:2360::/28 | fe8b:236f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fe8b:2370::/28 | fe8b:237f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fe8b:2380::/28 | fe8b:238f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fe8b:2390::/28 | fe8b:239f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fe8b:23a0::/28 | fe8b:23af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fe8b:23b0::/28 | fe8b:23bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fe8b:23c0::/28 | fe8b:23cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fe8b:23d0::/28 | fe8b:23df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fe8b:23e0::/28 | fe8b:23ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fe8b:23f0::/28 | fe8b:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fe8b:2400::/28 | fe8b:240f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fe8b:2410::/28 | fe8b:241f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fe8b:2420::/28 | fe8b:242f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fe8b:2430::/28 | fe8b:243f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fe8b:2440::/28 | fe8b:244f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fe8b:2450::/28 | fe8b:245f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fe8b:2460::/28 | fe8b:246f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fe8b:2470::/28 | fe8b:247f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fe8b:2480::/28 | fe8b:248f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fe8b:2490::/28 | fe8b:249f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fe8b:24a0::/28 | fe8b:24af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fe8b:24b0::/28 | fe8b:24bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fe8b:24c0::/28 | fe8b:24cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fe8b:24d0::/28 | fe8b:24df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fe8b:24e0::/28 | fe8b:24ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fe8b:24f0::/28 | fe8b:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fe8b:2500::/28 | fe8b:250f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fe8b:2510::/28 | fe8b:251f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fe8b:2520::/28 | fe8b:252f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fe8b:2530::/28 | fe8b:253f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fe8b:2540::/28 | fe8b:254f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fe8b:2550::/28 | fe8b:255f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fe8b:2560::/28 | fe8b:256f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fe8b:2570::/28 | fe8b:257f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fe8b:2580::/28 | fe8b:258f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fe8b:2590::/28 | fe8b:259f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fe8b:25a0::/28 | fe8b:25af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fe8b:25b0::/28 | fe8b:25bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fe8b:25c0::/28 | fe8b:25cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fe8b:25d0::/28 | fe8b:25df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fe8b:25e0::/28 | fe8b:25ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fe8b:25f0::/28 | fe8b:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fe8b:2600::/28 | fe8b:260f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fe8b:2610::/28 | fe8b:261f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fe8b:2620::/28 | fe8b:262f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fe8b:2630::/28 | fe8b:263f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fe8b:2640::/28 | fe8b:264f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fe8b:2650::/28 | fe8b:265f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fe8b:2660::/28 | fe8b:266f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fe8b:2670::/28 | fe8b:267f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fe8b:2680::/28 | fe8b:268f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fe8b:2690::/28 | fe8b:269f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fe8b:26a0::/28 | fe8b:26af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fe8b:26b0::/28 | fe8b:26bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fe8b:26c0::/28 | fe8b:26cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fe8b:26d0::/28 | fe8b:26df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fe8b:26e0::/28 | fe8b:26ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fe8b:26f0::/28 | fe8b:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fe8b:2700::/28 | fe8b:270f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fe8b:2710::/28 | fe8b:271f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fe8b:2720::/28 | fe8b:272f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fe8b:2730::/28 | fe8b:273f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fe8b:2740::/28 | fe8b:274f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fe8b:2750::/28 | fe8b:275f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fe8b:2760::/28 | fe8b:276f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fe8b:2770::/28 | fe8b:277f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fe8b:2780::/28 | fe8b:278f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fe8b:2790::/28 | fe8b:279f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fe8b:27a0::/28 | fe8b:27af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fe8b:27b0::/28 | fe8b:27bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fe8b:27c0::/28 | fe8b:27cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fe8b:27d0::/28 | fe8b:27df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fe8b:27e0::/28 | fe8b:27ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fe8b:27f0::/28 | fe8b:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fe8b:2800::/28 | fe8b:280f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fe8b:2810::/28 | fe8b:281f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fe8b:2820::/28 | fe8b:282f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fe8b:2830::/28 | fe8b:283f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fe8b:2840::/28 | fe8b:284f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fe8b:2850::/28 | fe8b:285f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fe8b:2860::/28 | fe8b:286f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fe8b:2870::/28 | fe8b:287f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fe8b:2880::/28 | fe8b:288f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fe8b:2890::/28 | fe8b:289f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fe8b:28a0::/28 | fe8b:28af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fe8b:28b0::/28 | fe8b:28bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fe8b:28c0::/28 | fe8b:28cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fe8b:28d0::/28 | fe8b:28df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fe8b:28e0::/28 | fe8b:28ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fe8b:28f0::/28 | fe8b:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fe8b:2900::/28 | fe8b:290f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fe8b:2910::/28 | fe8b:291f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fe8b:2920::/28 | fe8b:292f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fe8b:2930::/28 | fe8b:293f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fe8b:2940::/28 | fe8b:294f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fe8b:2950::/28 | fe8b:295f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fe8b:2960::/28 | fe8b:296f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fe8b:2970::/28 | fe8b:297f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fe8b:2980::/28 | fe8b:298f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fe8b:2990::/28 | fe8b:299f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fe8b:29a0::/28 | fe8b:29af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fe8b:29b0::/28 | fe8b:29bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fe8b:29c0::/28 | fe8b:29cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fe8b:29d0::/28 | fe8b:29df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fe8b:29e0::/28 | fe8b:29ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fe8b:29f0::/28 | fe8b:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fe8b:2a00::/28 | fe8b:2a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fe8b:2a10::/28 | fe8b:2a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fe8b:2a20::/28 | fe8b:2a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fe8b:2a30::/28 | fe8b:2a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fe8b:2a40::/28 | fe8b:2a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fe8b:2a50::/28 | fe8b:2a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fe8b:2a60::/28 | fe8b:2a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fe8b:2a70::/28 | fe8b:2a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fe8b:2a80::/28 | fe8b:2a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fe8b:2a90::/28 | fe8b:2a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fe8b:2aa0::/28 | fe8b:2aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fe8b:2ab0::/28 | fe8b:2abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fe8b:2ac0::/28 | fe8b:2acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fe8b:2ad0::/28 | fe8b:2adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fe8b:2ae0::/28 | fe8b:2aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fe8b:2af0::/28 | fe8b:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fe8b:2b00::/28 | fe8b:2b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fe8b:2b10::/28 | fe8b:2b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fe8b:2b20::/28 | fe8b:2b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fe8b:2b30::/28 | fe8b:2b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fe8b:2b40::/28 | fe8b:2b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fe8b:2b50::/28 | fe8b:2b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fe8b:2b60::/28 | fe8b:2b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fe8b:2b70::/28 | fe8b:2b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fe8b:2b80::/28 | fe8b:2b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fe8b:2b90::/28 | fe8b:2b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fe8b:2ba0::/28 | fe8b:2baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fe8b:2bb0::/28 | fe8b:2bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fe8b:2bc0::/28 | fe8b:2bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fe8b:2bd0::/28 | fe8b:2bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fe8b:2be0::/28 | fe8b:2bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fe8b:2bf0::/28 | fe8b:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fe8b:2c00::/28 | fe8b:2c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fe8b:2c10::/28 | fe8b:2c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fe8b:2c20::/28 | fe8b:2c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fe8b:2c30::/28 | fe8b:2c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fe8b:2c40::/28 | fe8b:2c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fe8b:2c50::/28 | fe8b:2c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fe8b:2c60::/28 | fe8b:2c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fe8b:2c70::/28 | fe8b:2c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fe8b:2c80::/28 | fe8b:2c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fe8b:2c90::/28 | fe8b:2c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fe8b:2ca0::/28 | fe8b:2caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fe8b:2cb0::/28 | fe8b:2cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fe8b:2cc0::/28 | fe8b:2ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fe8b:2cd0::/28 | fe8b:2cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fe8b:2ce0::/28 | fe8b:2cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fe8b:2cf0::/28 | fe8b:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fe8b:2d00::/28 | fe8b:2d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fe8b:2d10::/28 | fe8b:2d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fe8b:2d20::/28 | fe8b:2d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fe8b:2d30::/28 | fe8b:2d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fe8b:2d40::/28 | fe8b:2d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fe8b:2d50::/28 | fe8b:2d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fe8b:2d60::/28 | fe8b:2d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fe8b:2d70::/28 | fe8b:2d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fe8b:2d80::/28 | fe8b:2d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fe8b:2d90::/28 | fe8b:2d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fe8b:2da0::/28 | fe8b:2daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fe8b:2db0::/28 | fe8b:2dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fe8b:2dc0::/28 | fe8b:2dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fe8b:2dd0::/28 | fe8b:2ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fe8b:2de0::/28 | fe8b:2def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fe8b:2df0::/28 | fe8b:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fe8b:2e00::/28 | fe8b:2e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fe8b:2e10::/28 | fe8b:2e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fe8b:2e20::/28 | fe8b:2e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fe8b:2e30::/28 | fe8b:2e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fe8b:2e40::/28 | fe8b:2e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fe8b:2e50::/28 | fe8b:2e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fe8b:2e60::/28 | fe8b:2e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fe8b:2e70::/28 | fe8b:2e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fe8b:2e80::/28 | fe8b:2e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fe8b:2e90::/28 | fe8b:2e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fe8b:2ea0::/28 | fe8b:2eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fe8b:2eb0::/28 | fe8b:2ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fe8b:2ec0::/28 | fe8b:2ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fe8b:2ed0::/28 | fe8b:2edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fe8b:2ee0::/28 | fe8b:2eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fe8b:2ef0::/28 | fe8b:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fe8b:2f00::/28 | fe8b:2f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fe8b:2f10::/28 | fe8b:2f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fe8b:2f20::/28 | fe8b:2f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fe8b:2f30::/28 | fe8b:2f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fe8b:2f40::/28 | fe8b:2f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fe8b:2f50::/28 | fe8b:2f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fe8b:2f60::/28 | fe8b:2f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fe8b:2f70::/28 | fe8b:2f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fe8b:2f80::/28 | fe8b:2f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fe8b:2f90::/28 | fe8b:2f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fe8b:2fa0::/28 | fe8b:2faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fe8b:2fb0::/28 | fe8b:2fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fe8b:2fc0::/28 | fe8b:2fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fe8b:2fd0::/28 | fe8b:2fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fe8b:2fe0::/28 | fe8b:2fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fe8b:2ff0::/28 | fe8b:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |